Package org.kie.api.task.model

## Interface TaskData

- All Superinterfaces:
    `java.io.Externalizable`, `java.io.Serializable`

      public interface TaskData
      extends java.io.Externalizable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getActivationTime()` |
    `User` | `getActualOwner()` |
    `java.util.List<Attachment>` | `getAttachments()` |
    `java.util.List<Comment>` | `getComments()` |
    `User` | `getCreatedBy()` |
    `java.util.Date` | `getCreatedOn()` |
    `java.lang.String` | `getDeploymentId()` |
    `long` | `getDocumentContentId()` |
    `java.lang.String` | `getDocumentType()` |
    `java.util.Date` | `getExpirationTime()` |
    `long` | `getFaultContentId()` |
    `java.lang.String` | `getFaultName()` |
    `java.lang.String` | `getFaultType()` |
    `java.lang.Long` | `getOutputContentId()` |
    `java.lang.String` | `getOutputType()` |
    `long` | `getParentId()` |
    `Status` | `getPreviousStatus()` |
    `java.lang.String` | `getProcessId()` |
    `long` | `getProcessInstanceId()` |
    `long` | `getProcessSessionId()` |
    `Status` | `getStatus()` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getTaskInputVariables()` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getTaskOutputVariables()` |
    `long` | `getWorkItemId()` |
    `boolean` | `isSkipable()` |

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### getStatus

          Status getStatus()

    - #### getPreviousStatus

          Status getPreviousStatus()

    - #### getActualOwner

          User getActualOwner()

    - #### getCreatedBy

          User getCreatedBy()

    - #### getCreatedOn

          java.util.Date getCreatedOn()

    - #### getActivationTime

          java.util.Date getActivationTime()

    - #### getExpirationTime

          java.util.Date getExpirationTime()

    - #### isSkipable

          boolean isSkipable()

    - #### getWorkItemId

          long getWorkItemId()

    - #### getProcessInstanceId

          long getProcessInstanceId()

    - #### getProcessId

          java.lang.String getProcessId()

    - #### getDeploymentId

          java.lang.String getDeploymentId()

    - #### getProcessSessionId

          long getProcessSessionId()

    - #### getDocumentType

          java.lang.String getDocumentType()

    - #### getDocumentContentId

          long getDocumentContentId()

    - #### getOutputType

          java.lang.String getOutputType()

    - #### getOutputContentId

          java.lang.Long getOutputContentId()

    - #### getFaultName

          java.lang.String getFaultName()

    - #### getFaultType

          java.lang.String getFaultType()

    - #### getFaultContentId

          long getFaultContentId()

    - #### getComments

          java.util.List<Comment> getComments()

    - #### getAttachments

          java.util.List<Attachment> getAttachments()

    - #### getParentId

          long getParentId()

    - #### getTaskInputVariables

          java.util.Map<java.lang.String,​java.lang.Object> getTaskInputVariables()

    - #### getTaskOutputVariables

          java.util.Map<java.lang.String,​java.lang.Object> getTaskOutputVariables()